summaryrefslogtreecommitdiffstats
path: root/patches/source/getmail
diff options
context:
space:
mode:
Diffstat (limited to 'patches/source/getmail')
-rwxr-xr-xpatches/source/getmail/getmail.SlackBuild65
-rw-r--r--patches/source/getmail/slack-desc19
2 files changed, 84 insertions, 0 deletions
diff --git a/patches/source/getmail/getmail.SlackBuild b/patches/source/getmail/getmail.SlackBuild
new file mode 100755
index 000000000..a30826814
--- /dev/null
+++ b/patches/source/getmail/getmail.SlackBuild
@@ -0,0 +1,65 @@
+#!/bin/sh
+
+# Copyright 2008, 2009, 2010, 2017 Patrick J. Volkerding, Sebeka, MN, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+VERSION=${VERSION:-$(echo getmail-*.tar.xz | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+BUILD=${BUILD:-1_slack14.2}
+
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) export ARCH=i586 ;;
+ arm*) export ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) export ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-getmail
+rm -rf $PKG
+mkdir -p $TMP $PKG
+
+cd $TMP
+rm -rf getmail-$VERSION
+tar xvf $CWD/getmail-$VERSION.tar.xz || exit 1
+chown -R root:root getmail-$VERSION
+cd getmail-$VERSION
+python setup.py build || exit 1
+python setup.py install --root=$PKG || exit 1
+
+( cd $PKG/usr/share
+ mv man ..
+ mv doc ..
+ cd ..
+ rmdir share
+)
+
+gzip -9 $PKG/usr/man/man1/*
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+# Build the package:
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/getmail-$VERSION-$ARCH-$BUILD.txz
+
diff --git a/patches/source/getmail/slack-desc b/patches/source/getmail/slack-desc
new file mode 100644
index 000000000..6c91db1cc
--- /dev/null
+++ b/patches/source/getmail/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+getmail: getmail (POP3 mail retriever)
+getmail:
+getmail: getmail is a POP3 mail retriever, with support for both ordinary and
+getmail: domain (or multidrop) POP3 mailboxes. It is written in Python, and
+getmail: licensed under the GNU General Public License version 2.
+getmail:
+getmail: getmail was written by Charles Cazabon.
+getmail:
+getmail:
+getmail:
+getmail: